Loading...
Searching...
No Matches
logging_systemd.c File Reference
Osmocom logging framework
`#include <stdio.h>`
`#include <syslog.h>`
`#include <systemd/sd-journal.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/logging.h>`

## Macros

#define | SD_JOURNAL_SUPPRESS_LOCATION

## Functions

static int | logp2syslog_level (unsigned int level)
static void | _systemd_output (struct log_target *target, unsigned int level, const char *log)
static void | _systemd_raw_output (struct log_target *target, int subsys, unsigned int level, const char *file, int line, int cont, const char *format, va_list ap)
struct log_target * | log_target_create_systemd (bool raw)
| Create a new logging target for systemd journal logging.
void | log_target_systemd_set_raw (struct log_target *target, bool raw)
| Change meta information handling of an existing logging target.